Browse code

Remove leftover references to files/pips/

The files/pips/* files were removed a while ago (replaced by
pip-requires in individual projects). So remove leftover code that was
dealing with that.

Change-Id: Id521a3365ab018193607389f022a25acddb49714

Vincent Untz authored on 2012/11/29 17:19:16
Showing 7 changed files
... ...
@@ -779,10 +779,6 @@ if [[ $TRACK_DEPENDS = True ]] ; then
779 779
     $DEST/.venv/bin/pip freeze > $DEST/requires-pre-pip
780 780
 fi
781 781
 
782
-# Install python requirements
783
-echo_summary "Installing Python prerequisites"
784
-pip_install $(get_packages $FILES/pips | sort -u)
785
-
786 782
 
787 783
 # Check Out Source
788 784
 # ----------------
... ...
@@ -108,7 +108,7 @@ function map_nbd {
108 108
     echo $NBD
109 109
 }
110 110
 
111
-# Prime image with as many apt/pips as we can
111
+# Prime image with as many apt as we can
112 112
 DEV_FILE=$CACHEDIR/$DIST_NAME-dev.img
113 113
 DEV_FILE_TMP=`mktemp $DEV_FILE.XXXXXX`
114 114
 if [ ! -r $DEV_FILE ]; then
... ...
@@ -121,7 +121,6 @@ if [ ! -r $DEV_FILE ]; then
121 121
 
122 122
     chroot $MNTDIR apt-get install -y --download-only `cat files/apts/* | grep NOPRIME | cut -d\# -f1`
123 123
     chroot $MNTDIR apt-get install -y --force-yes `cat files/apts/* | grep -v NOPRIME | cut -d\# -f1`
124
-    chroot $MNTDIR pip install `cat files/pips/*`
125 124
 
126 125
     # Create a stack user that is a member of the libvirtd group so that stack
127 126
     # is able to interact with libvirt.
... ...
@@ -48,8 +48,6 @@ DEST=${DEST:-/opt/stack}
48 48
 TEMPEST_DIR=$DEST/tempest
49 49
 
50 50
 # Install tests and prerequisites
51
-pip_install `cat $TOP_DIR/files/pips/tempest`
52
-
53 51
 git_clone $TEMPEST_REPO $TEMPEST_DIR $TEMPEST_BRANCH
54 52
 
55 53
 trap - SIGHUP SIGINT SIGTERM SIGQUIT EXIT
... ...
@@ -68,7 +68,7 @@ fi
68 68
 # Option to warm the base image with software requirements.
69 69
 if [ $WARM_CACHE ]; then
70 70
     cd $TOOLS_DIR
71
-    ./warm_apts_and_pips_for_uec.sh $image_dir/disk
71
+    ./warm_apts_for_uec.sh $image_dir/disk
72 72
 fi
73 73
 
74 74
 # Name of our instance, used by libvirt
... ...
@@ -98,7 +98,7 @@ GUEST_NAME=${GUEST_NAME:-devstack}
98 98
 # Pre-load the image with basic environment
99 99
 if [ ! -e $image_dir/disk-primed ]; then
100 100
     cp $image_dir/disk $image_dir/disk-primed
101
-    $TOOLS_DIR/warm_apts_and_pips_for_uec.sh $image_dir/disk-primed
101
+    $TOOLS_DIR/warm_apts_for_uec.sh $image_dir/disk-primed
102 102
     $TOOLS_DIR/copy_dev_environment_to_uec.sh $image_dir/disk-primed
103 103
 fi
104 104
 
105 105
deleted file mode 100755
... ...
@@ -1,55 +0,0 @@
1
-#!/usr/bin/env bash
2
-
3
-# **warm_apts_and_pips_for_uec.sh**
4
-
5
-# Echo commands
6
-set -o xtrace
7
-
8
-# Exit on error to stop unexpected errors
9
-set -o errexit
10
-
11
-# Keep track of the current directory
12
-TOOLS_DIR=$(cd $(dirname "$0") && pwd)
13
-TOP_DIR=`cd $TOOLS_DIR/..; pwd`
14
-
15
-# Change dir to top of devstack
16
-cd $TOP_DIR
17
-
18
-# Echo usage
19
-usage() {
20
-    echo "Cache OpenStack dependencies on a uec image to speed up performance."
21
-    echo ""
22
-    echo "Usage: $0 [full path to raw uec base image]"
23
-}
24
-
25
-# Make sure this is a raw image
26
-if ! qemu-img info $1 | grep -q "file format: raw"; then
27
-    usage
28
-    exit 1
29
-fi
30
-
31
-# Make sure we are in the correct dir
32
-if [ ! -d files/apts ]; then
33
-    echo "Please run this script from devstack/tools/"
34
-    exit 1
35
-fi
36
-
37
-# Mount the image
38
-STAGING_DIR=/tmp/`echo $1 | sed  "s/\//_/g"`.stage
39
-mkdir -p $STAGING_DIR
40
-umount $STAGING_DIR || true
41
-sleep 1
42
-mount -t ext4 -o loop $1 $STAGING_DIR
43
-
44
-# Make sure that base requirements are installed
45
-cp /etc/resolv.conf $STAGING_DIR/etc/resolv.conf
46
-
47
-# Perform caching on the base image to speed up subsequent runs
48
-chroot $STAGING_DIR apt-get update
49
-chroot $STAGING_DIR apt-get install -y --download-only `cat files/apts/* | grep NOPRIME | cut -d\# -f1`
50
-chroot $STAGING_DIR apt-get install -y --force-yes `cat files/apts/* | grep -v NOPRIME | cut -d\# -f1` || true
51
-mkdir -p $STAGING_DIR/var/cache/pip
52
-PIP_DOWNLOAD_CACHE=/var/cache/pip chroot $STAGING_DIR pip install `cat files/pips/*` || true
53
-
54
-# Unmount
55
-umount $STAGING_DIR
56 1
new file mode 100755
... ...
@@ -0,0 +1,53 @@
0
+#!/usr/bin/env bash
1
+
2
+# **warm_apts_for_uec.sh**
3
+
4
+# Echo commands
5
+set -o xtrace
6
+
7
+# Exit on error to stop unexpected errors
8
+set -o errexit
9
+
10
+# Keep track of the current directory
11
+TOOLS_DIR=$(cd $(dirname "$0") && pwd)
12
+TOP_DIR=`cd $TOOLS_DIR/..; pwd`
13
+
14
+# Change dir to top of devstack
15
+cd $TOP_DIR
16
+
17
+# Echo usage
18
+usage() {
19
+    echo "Cache OpenStack dependencies on a uec image to speed up performance."
20
+    echo ""
21
+    echo "Usage: $0 [full path to raw uec base image]"
22
+}
23
+
24
+# Make sure this is a raw image
25
+if ! qemu-img info $1 | grep -q "file format: raw"; then
26
+    usage
27
+    exit 1
28
+fi
29
+
30
+# Make sure we are in the correct dir
31
+if [ ! -d files/apts ]; then
32
+    echo "Please run this script from devstack/tools/"
33
+    exit 1
34
+fi
35
+
36
+# Mount the image
37
+STAGING_DIR=/tmp/`echo $1 | sed  "s/\//_/g"`.stage
38
+mkdir -p $STAGING_DIR
39
+umount $STAGING_DIR || true
40
+sleep 1
41
+mount -t ext4 -o loop $1 $STAGING_DIR
42
+
43
+# Make sure that base requirements are installed
44
+cp /etc/resolv.conf $STAGING_DIR/etc/resolv.conf
45
+
46
+# Perform caching on the base image to speed up subsequent runs
47
+chroot $STAGING_DIR apt-get update
48
+chroot $STAGING_DIR apt-get install -y --download-only `cat files/apts/* | grep NOPRIME | cut -d\# -f1`
49
+chroot $STAGING_DIR apt-get install -y --force-yes `cat files/apts/* | grep -v NOPRIME | cut -d\# -f1` || true
50
+
51
+# Unmount
52
+umount $STAGING_DIR